SublimeLinter plugin for python, using pyflakes.
Clone or download
kaste Merge pull request #14 from SublimeLinter/fix-13
Preserve `match` arg to pass it to super
Latest commit 993c361 May 15, 2018

README.md

SublimeLinter-pyflakes

Build Status

This linter plugin for SublimeLinter provides an interface to pyflakes. It will be used with files that have the "Python" syntax.

Installation

SublimeLinter must be installed in order to use this plugin.

Please use Package Control to install the linter plugin.

Before installing this plugin, ensure that pyflakes (0.7.3 or later) is installed on your system. To install pyflakes, do the following:

  1. Install Python and pip. If you plan to code in Python 3, you will need to install pip for Python 3 as well.

  2. Install pyflakes by typing the following in a terminal, replacing ‘x’ with the minor version installed on your system:

    # For python 2.x
    [sudo] pip-2.x install pyflakes
    
    # For python 3.x
    [sudo] pip-3.x install pyflakes
    

Please make sure that the path to pyflakes is available to SublimeLinter. The docs cover troubleshooting PATH configuration.

Settings